Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigadmin.editors
Interface RemoteNode

All Known Implementing Classes:
  RemoteResourceWrapperNode

public abstract interface RemoteNode

The interface for remote nodes.

Method Summary
`void` | `nodeWillCollapse()` Invoked whenever this node is about to be collapsed.
`void` | `nodeWillExpand()` Invoked whenever this node is about to be expanded.

Method Detail

### nodeWillExpand

    public void nodeWillExpand()

  Invoked whenever this node is about to be expanded.

### nodeWillCollapse

    public void nodeWillCollapse()

  Invoked whenever this node is about to be collapsed.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD